## com.fasterxml.jackson.databind.introspect
Class Annotated

    java.lang.Object
      com.fasterxml.jackson.databind.introspect.Annotated

Direct Known Subclasses:
  AnnotatedClass, AnnotatedMember

    public abstract class Annotated

extends Object

Shared base class used for anything on which annotations (included within a `AnnotationMap`).

Constructor Summary
`protected` `Annotated()`

Method Summary
`protected abstract AnnotationMap` `getAllAnnotations()`
`abstract AnnotatedElement` `getAnnotated()` Method that can be used to find actual JDK element that this instance represents.

`abstract

`<A extends Annotation> A`

`

`getAnnotation(Class<A> acls)`

`abstract Type` `getGenericType()` Full generic type of the annotated element; definition of what exactly this means depends on sub-class.
`protected abstract int` `getModifiers()`
`abstract String` `getName()`
`abstract Class<?>` `getRawType()` "Raw" type (type-erased class) of the annotated element; definition of what exactly this means depends on sub-class.
`JavaType` `getType(TypeBindings context)` Full generic type of the annotated element; definition of what exactly this means depends on sub-class.

`

`<A extends Annotation> boolean`

`

`hasAnnotation(Class<A> acls)`

`boolean` `isPublic()`
`abstract Annotated` `withAnnotations(AnnotationMap fallback)` Fluent factory method that will construct a new instance that uses specified instance annotations instead of currently configured ones.
`Annotated` `withFallBackAnnotationsFrom(Annotated annotated)` Fluent factory method that will construct a new instance that uses annotations from specified `Annotated` as fallback annotations

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Annotated

    protected Annotated()

Method Detail

### getAnnotation

    public abstract <A extends Annotation> A getAnnotation(Class<A> acls)

### hasAnnotation

    public final <A extends Annotation> boolean hasAnnotation(Class<A> acls)

### withAnnotations

    public abstract Annotated withAnnotations(AnnotationMap fallback)

  Fluent factory method that will construct a new instance that uses specified instance annotations instead of currently configured ones.

### withFallBackAnnotationsFrom

    public final Annotated withFallBackAnnotationsFrom(Annotated annotated)

  Fluent factory method that will construct a new instance that uses annotations from specified `Annotated` as fallback annotations

### getAnnotated

    public abstract AnnotatedElement getAnnotated()

  Method that can be used to find actual JDK element that this instance represents. It is non-null, except for method/constructor parameters which do not have a JDK counterpart.

### getModifiers

    protected abstract int getModifiers()

### isPublic

    public final boolean isPublic()

### getName

    public abstract String getName()

### getType

    public JavaType getType(TypeBindings context)

  Full generic type of the annotated element; definition of what exactly this means depends on sub-class.

### getGenericType

    public abstract Type getGenericType()

  Full generic type of the annotated element; definition of what exactly this means depends on sub-class.

### getRawType

    public abstract Class<?> getRawType()

  "Raw" type (type-erased class) of the annotated element; definition of what exactly this means depends on sub-class.

### getAllAnnotations

    protected abstract AnnotationMap getAllAnnotations()

Copyright © 2012 FasterXML. All Rights Reserved.